Summary:         Picture viewer
Name:            xzgv
Version:         0.9.2
Release:         1%{?dist}
License:         GPLv2+
URL:             http://sourceforge.net/projects/xzgv/
Source0:         http://downloads.sourceforge.net/xzgv/xzgv-%{version}.tar.gz
Source1:         xzgv.appdata.xml
Patch0:          xzgv-0.9-fix-doc-install.patch
BuildRequires:   make
BuildRequires:   gcc
BuildRequires:   gtk2-devel
BuildRequires:   libexif-devel
BuildRequires:   libpng-devel
BuildRequires:   texinfo
BuildRequires:   desktop-file-utils
Requires:        xterm
Requires:        gnome-icon-theme
%description 
A picture viewer with a thumbnail-based file selector.  Many file
formats are supported, and the thumbnails used are compatible with xv,
zgv and the Gimp.

%prep
%autosetup -p1
for f in ChangeLog NEWS; do
  iconv -f iso8859-1 -t utf8 $f -o $f.txt
  touch -r $f.txt $f
  mv $f.txt $f
done

%build
sed -i 's|^CFLAGS.*|CFLAGS=%{optflags}|' config.mk
make %{?_smp_flags}
make info

cat <<EOF > %{name}.desktop
[Desktop Entry]
Name=xzgv Image Viewer
Comment=View different types of images
Exec=xzgv
Icon=xzgv
Terminal=false
Type=Application
Categories=GTK;Graphics;RasterGraphics;Viewer;
EOF

%install
install -d -m 0755 %{buildroot}%{_datadir}/applications
install -d -m 0755 %{buildroot}%{_datadir}/pixmaps

make PREFIX=%{buildroot}/%{_prefix} \
     MANDIR=%{buildroot}/%{_mandir}/man1 \
     INFODIR=%{buildroot}/%{_infodir} \
     DESKTOPDIR2=%{buildroot}%{_datadir}/applications \
     install
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

# Register as an application to be visible in the software center
mkdir -p %{buildroot}/%{_datadir}/appdata
install -m644 %{SOURCE1} %{buildroot}%{_datadir}/appdata/

%files
%license COPYING
%doc AUTHORS NEWS README TODO ChangeLog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
%{_infodir}/%{name}*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/xzgv.xpm

%changelog
* Thu Jul 18 2024 chenyufeng <chenyufeng@redflag-os.com> - 0.9.2-1
- Initial build.
